# encoding: utf-8

module Yast
  class NovellBccAutoconfigClient < Client
    def main
      textdomain "novell-bcc"

      Yast.import "Profile"
      Yast.import "Call"
      Yast.import "Wizard"
      Yast.import "UI"
      Yast.import "NovellBcc"

      @result = {}
      @profileLocation = ""

      Wizard.CreateDialog

      if Ops.greater_than(Builtins.size(WFM.Args), 0) &&
          Ops.is_string?(WFM.Args(0))
        @profileLocation = Convert.to_string(WFM.Args(0))
      else
        NovellBcc.DisplayMessage(
          "Error",
          "No path to xml profile provided. Usage: 'yast bcc_autoconfig <path-to-xml-profile>'"
        )
        return -1
      end

      if !Profile.ReadXML(@profileLocation) || Profile.current == nil ||
          Profile.current == {}
        NovellBcc.DisplayMessage(
          "Error",
          Ops.add(
            Ops.add(
              "Problem reading xml profile from file: '",
              @profileLocation
            ),
            "'.  Please check the syntax of the file and refer to /var/log/YaST2/y2log for more information.  If the problem persists, contact Novell Technical Support."
          )
        )
        return -1
      end

      if !Convert.to_boolean(
          Call.Function("novell-bcc_auto", ["Import", Profile.current])
        ) ||
          !Convert.to_boolean(
            Call.Function("novell-bcc_auto", ["Write", Profile.current])
          )
        return -1
      end

      0
    end
  end
end

Yast::NovellBccAutoconfigClient.new.main
