# encoding: utf-8

# Copyright (c) 2020 Micro Focus or one of its affiliates.
# File:	include/bcc/helps.ycp
# Package:	Configuration of bcc
# Summary:	Help texts of all the dialogs
# Authors:	Ryan Okelberry <rokelberry@novell.com>
#
# $Id: helps.ycp 172 2005-09-30 19:10:40Z rokelberry $
module Yast
  module NovellBccHelpsInclude
    def initialize_novell_bcc_helps(include_target)
      textdomain "novell-bcc"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"        => _(
          "<p><b><big>Initializing OES Business Continuity \n" +
            " Cluster (BCC) Configuration</big></b><br> \n" +
            "Please wait...<br></p> \n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization:</big></b><br> \nSafely abort the configuration utility by pressing <b>Abort</b> now.</p> \n"
          ),
        # Write dialog help 1/2
        "write"       => _(
          "<p><b><big>Saving OES Business Continuity Cluster \n" +
            " (BCC) Configuration</big></b><br> \n" +
            "Please wait...<br></p> \n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br> \n" +
              "Abort the save procedure by pressing <b>Abort</b>. \n" +
              "An additional dialog informs whether it is safe to do so. \n" +
              "</p> \n"
          ),
        # Configure dialog help
        "configure"   => _(
          "<p><b><big>Configuration</big></b><br></p>"
        ) +
          _(
            "<p><b>Existing Cluster Distinguished Name (DN)</b><br> \n" +
              "Verify the fully distinguished name of \n" +
              " the existing cluster where BCC software is to be configured.</p>"
          ) +
          _(
            "<p><b>Directory Server Address</b><br> \n" +
              "Select the appropriate directory server addresses. \n" +
              "These addresses will be used for schema extension.</p>"
          ) +
          _(
            "<p><b>Start Business Continuity Cluster Services Now</b><br> \n" +
              "Choose whether you want BCC software to start immediately \n" +
              " following configuration.  The services will automatically start upon \n" +
              " reboot regardless of your choice.</p>"
          ),
        # Summary dialog help
        "summary"     => _(
          "<p><b><big>Summary</big></b><br></p>"
        ) +
          _(
            "<p>This screen summarizes the configuration options you have \n" +
              " selected. Click the Next button to start the configuration \n" +
              " process. You can also click the Back button to go back and \n" +
              " change any of the options you have selected, or the Abort \n" +
              " button to stop the configuration.</p>"
          ),
        #
        "auto-config" => _(
          "<p><b><big>Optionally Configure other \n" +
            " Linux Nodes</big></b></p><p>YaST can automatically install and \n" +
            " configure BCC on other Linux nodes in this cluster. Communication \n" +
            " with other Linux nodes is performed over an encrypted SSH connection. \n" +
            "  The "
        ) + "root" +
          _(" password must be provided for each node.</p>")
      } 

      # EOF
    end
  end
end
